Skip to main content
POST
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Path Parameters

organizationId
string
required

Parent organization ID

Body

application/json
name
string
required

Child organization name

slug
string

Organization slug (URL-safe identifier)

domains
string[]

Allowed email domains

allowProfilesOutsideOrganization
boolean

Allow profiles outside organization

Response

Child organization created

id
string
required

Organization ID

workosOrganizationId
string
required

WorkOS Organization ID

slug
string
required

Organization slug

name
string
required

Organization name

logoUrl
string | null
required

Organization logo URL

domains
string[]
required

Organization domains

status
string
required

Organization status

allowProfilesOutsideOrganization
boolean
required

Allow profiles outside organization

enableMinimalRequirements
boolean
required

Whether reduced individual verification requirements are enabled

bankPartnerRoutesEnabled
boolean
required

Whether banking-partner route capabilities are enabled

customerId
string | null
required

Customer ID for the organization

metadata
object
required

Organization metadata

createdAt
string<date-time>
required

Organization creation date

Example:

"2026-01-15T10:00:00Z"

updatedAt
string<date-time>
required

Organization last update date

Example:

"2026-01-15T10:00:00Z"

slackChannelId
string | null

Slack channel ID bound to this organization

slackOpsChannelId
string | null

Slack channel ID for ops/compliance notifications. Falls back to slackChannelId when not set.

complianceEmail
string | null

Email address for compliance communications